<template>
  <v-card :id="settings.id || null" :class="settings.class" :style="settings.style">
    <v-card-title v-if="settings.title" v-html="settings.title"></v-card-title>
    <v-card-text v-if="content.length">
      <page-content :layout="content"></page-content>
    </v-card-text>
  </v-card>
</template>

<script>
export default {
  props: {
    layout: {
      type: Object,
      required: true,
    },
  },

  computed: {
    settings() {
      return this.layout.settings
    },

    content() {
      return this.settings.content || []
    },
  },
}
</script>
